Thanks for submitting a pull request! Please provide enough information so that others can review your pull request:

Explain the **motivation** for making this change. What existing problem does the pull request solve?

Prefer **small pull requests**. These are much easier to review and more likely to get merged. Make sure the PR does only one thing, otherwise please split it.

**Test plan (required)**

Demonstrate the code is solid. Example: The exact commands you ran and their output, screenshots / videos if applicable.

Make sure tests pass on Circle CI.

**Code formatting**

Look around. Match the style of the rest of the codebase. See also the simple [style guide](https://github.com/facebook/fresco/blob/master/CONTRIBUTING.md#coding-style). If you use IntelliJ IDEA or Android Studio, it should automatically pick up the [code style settings](https://github.com/facebook/fresco/blob/master/.idea/codeStyleSettings.xml).

For more info, see the ["Pull Requests" section of our "Contributing" guidelines](https://github.com/facebook/fresco/blob/master/CONTRIBUTING.md#pull-requests).
